🚀 API 2.0 is now live! See our API Reference for details.
🚀 API 2.0 is now live! See our API Reference for details.
Retrieves analytics data for a specific outbound campaign within a given date range.
curl --request POST \
--url https://api.nlpearl.ai/v1/Outbound/{outboundId}/Analytics \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z"
}
'{
"callsStatusOverview": {
"totalCalls": 123,
"totalLeads": 123,
"needRetry": 123,
"wrongCountryCode": 123,
"needFollowUp": 123,
"voiceMailLeft": 123,
"successful": 123,
"unsuccessful": 123,
"wrongNumber": 123,
"completed": 123,
"unreachable": 123,
"error": 123
},
"callsSentimentOverview": {
"negative": 123,
"slightlyNegative": 123,
"neutral": 123,
"slightlyPositive": 123,
"positive": 123
},
"callsStatusTimeLine": [
{
"totalCalls": 123,
"totalLeads": 123,
"needRetry": 123,
"wrongCountryCode": 123,
"needFollowUp": 123,
"voiceMailLeft": 123,
"successful": 123,
"unsuccessful": 123,
"wrongNumber": 123,
"completed": 123,
"unreachable": 123,
"error": 123,
"date": "2023-11-07T05:31:56Z"
}
],
"callsAverageTimeLine": [
{
"date": "2023-11-07T05:31:56Z",
"averageCallDuration": 123
}
],
"callsCostTimeLine": [
{
"date": "2023-11-07T05:31:56Z",
"totalPrice": 123,
"averageCostPerCall": 123
}
],
"callsPickupRateTimeLine": [
{
"date": "2023-11-07T05:31:56Z",
"pickupRatePercentage": 123
}
],
"callsSuccessRateTimeLine": [
{
"date": "2023-11-07T05:31:56Z",
"successRatePercentage": 123
}
],
"callLabelCount": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>",
"count": 123
}
],
"callEventsCounts": {
"takeMessageCount": 123,
"smsSentCount": 123,
"callTransferredCount": 123,
"calendarBookedCount": 123,
"emailSentCount": 123
},
"callsByHourDayOfWeeks": [
{
"hourOfDay": 123,
"dayOfWeek": 123,
"count": 123
}
]
}Documentation Index
Fetch the complete documentation index at: https://developers.nlpearl.ai/llms.txt
Use this file to discover all available pages before exploring further.
Specify the authorization token.
For more information, check out the Authorization Guide.
The unique identifier of the outbound campaign.
The object containing the start and end dates for the analytics query.
The maximum allowed range between the start and end date is 90 days.
Returns an object containing the analytics data for the specified outbound campaign.
Represents the analytics data for an outbound campaign.
Overview of call statuses (e.g. success, failed, no answer).
Show child attributes
Overview of sentiment analysis results for the client during calls.
Show child attributes
Timeline showing the distribution of call statuses over time.
Show child attributes
Timeline showing average call durations over time.
Show child attributes
Timeline showing call costs over time.
Show child attributes
Timeline showing pickup rate trends over time.
Show child attributes
Timeline showing success rate trends over time.
Show child attributes
Count of labels applied to calls.
Show child attributes
Summary of events that occurred during calls.
Show child attributes
Breakdown of calls by hour and day of the week.
Show child attributes
curl --request POST \
--url https://api.nlpearl.ai/v1/Outbound/{outboundId}/Analytics \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z"
}
'{
"callsStatusOverview": {
"totalCalls": 123,
"totalLeads": 123,
"needRetry": 123,
"wrongCountryCode": 123,
"needFollowUp": 123,
"voiceMailLeft": 123,
"successful": 123,
"unsuccessful": 123,
"wrongNumber": 123,
"completed": 123,
"unreachable": 123,
"error": 123
},
"callsSentimentOverview": {
"negative": 123,
"slightlyNegative": 123,
"neutral": 123,
"slightlyPositive": 123,
"positive": 123
},
"callsStatusTimeLine": [
{
"totalCalls": 123,
"totalLeads": 123,
"needRetry": 123,
"wrongCountryCode": 123,
"needFollowUp": 123,
"voiceMailLeft": 123,
"successful": 123,
"unsuccessful": 123,
"wrongNumber": 123,
"completed": 123,
"unreachable": 123,
"error": 123,
"date": "2023-11-07T05:31:56Z"
}
],
"callsAverageTimeLine": [
{
"date": "2023-11-07T05:31:56Z",
"averageCallDuration": 123
}
],
"callsCostTimeLine": [
{
"date": "2023-11-07T05:31:56Z",
"totalPrice": 123,
"averageCostPerCall": 123
}
],
"callsPickupRateTimeLine": [
{
"date": "2023-11-07T05:31:56Z",
"pickupRatePercentage": 123
}
],
"callsSuccessRateTimeLine": [
{
"date": "2023-11-07T05:31:56Z",
"successRatePercentage": 123
}
],
"callLabelCount": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>",
"count": 123
}
],
"callEventsCounts": {
"takeMessageCount": 123,
"smsSentCount": 123,
"callTransferredCount": 123,
"calendarBookedCount": 123,
"emailSentCount": 123
},
"callsByHourDayOfWeeks": [
{
"hourOfDay": 123,
"dayOfWeek": 123,
"count": 123
}
]
}